Skip to content

Browser Launch

The browser launch endpoint is made for getting the --ateratti-key value, which you are supposed to then pass to the browser executable as a command line argument.

The fingerprint returned will be the result of combining data from up to three different sources:

  1. Data provided in the request body takes precedence over data from the database and geo lookup.
  2. Data from the database takes precedence over geo lookup.
  3. Geo lookup is only used to fill geo-specific fields that weren't provided in the request or by the database.

Endpoint

POST /launch?id={id}&ip={ip}

Query parameters

id
string
ip
string

IMPORTANT

You must provide either an id or the preset (to generate a new fingerprint), but not both simultaneously

Request body

An optional JSON object containing fingerprint fields:

preset
string
FP
seed
string
FP
screen
object
FP
platform_version
string
FP
arch
string
FP
cpu
int
FP
ram
int
FP
gl_vendor
string
FP
gl_renderer
string
FP

country_code
string
GEO
languages
string
GEO
tz
string
GEO
ip4
string
GEO
ip6
string
GEO

IMPORTANT

You must provide either an id or the preset (to generate a new fingerprint), but not both simultaneously

Response body

A JSON object representing the resulting fingerprint, with several additional keys, most notably the ateratti_key for launching the browser

ateratti_key
string
required

WARNING

All fields listed below are primarily intended for debugging purposes or to verify the correctness of your implementation. They may be changed or removed, and this won't be treated as a breaking change


extras
array<string>
required
PLAN

version
string
required
CHROME
fallback_version
string
required
CHROME

preset
string
required
FP
seed
string
required
FP
screen
object
required
FP
platform_version
string
required
FP
arch
string
required
FP
cpu
int
required
FP
ram
int
required
FP
gl_vendor
string
required
FP
gl_renderer
string
required
FP

country_code
string
required
GEO
languages
string
required
GEO
tz
string
required
GEO
ip4
string
required
GEO
ip6
string
required
GEO

Example request

json
{
    "preset": "windows10",
    "screen": {
        "w": 2560,
        "h": 1440
    },
    "platform_version": "10.0.0",
    "arch": "x64",
    "cpu": 4,
    "ram": 8,
    "gl_vendor": "Google Inc. (NVIDIA)",
    "gl_renderer": "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)",
    "country_code": "GB",
    "languages": "en-GB,en-US,en",
    "tz": "Europe/London",
    "ip4": "11.22.33.44",
    "ip6": "11:22::33:44"
}
js
const query = new URLSearchParams({
    id: "22de14c6-ac0a-4919-81d2-eb5bf571e8a1",
    ip: "11.22.33.44",
});

const response = await fetch(`https://api.ateratti.com/launch?${query}`, {
    method: "POST",
    headers: { "X-Api-Key": "Your API key" },
    body: JSON.stringify({
        screen: {
            w: 2560,
            h: 1440,
        },
    }),
});

const fp = await response.json();
console.log(fp);

const aterattiKey = fp["ateratti_key"];

Example response

200 OK

json
{
    "ateratti_key": "W7xUeqJ1t+uOW8AkSKhCe...jqJmUAgkRR4QuxV9Hum5A==",
    "extras": [],
    "version": "125.0.6422.61",
    "fallback_version": "124.0.6367.208",
    "preset": "windows10",
    "screen": {
        "w": 1920,
        "h": 1080
    },
    "platform_version": "10.0.0",
    "arch": "x64",
    "cpu": 4,
    "ram": 8,
    "gl_vendor": "Google Inc. (NVIDIA)",
    "gl_renderer": "ANGLE (NVIDIA, NVIDIA GeForce RTX 3060 (0x00002504) Direct3D11 vs_5_0 ps_5_0, D3D11)",
    "country_code": "GB",
    "languages": "en-GB,en-US,en",
    "tz": "Europe/London",
    "ip4": "11.22.33.44",
    "ip6": "11:22::33:44"
}

404 Not Found

json
{
    "message": "Fingerprint with the specified ID does not exist"
}

Error responses

CodeDescription
400 Bad RequestThe request is invalid
404 Not FoundThere's no fingerprint with the specified ID